Get events for a specific Boost
curl --request GET \
--url https://api-v2.boost.xyz/boosts/:id/activityimport requests
url = "https://api-v2.boost.xyz/boosts/:id/activity"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/boosts/:id/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activityEvents": [
{
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"blockTimestamp": "<string>",
"txHash": "<string>",
"incentives": [
{
"type": "AllowListIncentive",
"allowListAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"limit": "<string>"
}
]
}
],
"totalActivityCount": 1
}{
"error": "<string>"
}One-Time Actions API
Get events for a specific Boost
Retrieve a history of claimed incentives
GET
/
boosts
/
:id
/
activity
Get events for a specific Boost
Path Parameters
BoostID in format chainId:boostCoreAddress:identifier
Example:
"8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1"
Query Parameters
The desired page to return from the query
Required range:
x >= 0The amount of items to return from the query, defaults to 10, and must be <= 100
Required range:
0 <= x <= 100Retrieve Boost activity for this claimant address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x378632819f39c74c4f56b1429e760739c5fb51b7"